> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# लाइक्स लुकअप

> किसी पोस्ट को लाइक करने वाले उपयोगकर्ताओं और किसी उपयोगकर्ता द्वारा लाइक की गई पोस्ट्स प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

यह मार्गदर्शिका आपको X API का उपयोग करके लाइक डेटा प्राप्त करने की प्रक्रिया बताती है।

<Note>
  **पूर्वापेक्षाएँ**

  शुरू करने से पहले, आपको इनकी आवश्यकता होगी:

  * एक स्वीकृत App के साथ [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * आपके App का बेयरर टोकन (सार्वजनिक डेटा के लिए) या User Access Token (निजी मेट्रिक्स के लिए)
</Note>

***

<div id="get-users-who-liked-a-post">
  ## किसी पोस्ट को पसंद करने वाले उपयोगकर्ताओं को प्राप्त करें
</div>

किसी विशेष पोस्ट को पसंद करने वाले उपयोगकर्ताओं की सूची प्राप्त करें:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/tweets/1354143047324299264/liking_users?\
  user.fields=created_at,username,verified" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # पेजिनेशन के साथ किसी पोस्ट को पसंद करने वाले उपयोगकर्ताओं को प्राप्त करें
  for page in client.posts.get_liking_users(
      "1354143047324299264",
      user_fields=["created_at", "username", "verified"]
  ):
      for user in page.data:
          print(f"{user.username} - Joined: {user.created_at}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // पेजिनेशन के साथ किसी पोस्ट को पसंद करने वाले उपयोगकर्ताओं को प्राप्त करें
  const paginator = client.posts.getLikingUsers("1354143047324299264", {
    userFields: ["created_at", "username", "verified"],
  });

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(`${user.username} - Joined: ${user.created_at}`);
    });
  }
  ```
</CodeGroup>

<div id="response">
  ### रिस्पॉन्स
</div>

```json theme={null}
{
  "data": [
    {
      "created_at": "2008-12-04T18:51:57.000Z",
      "id": "17874544",
      "username": "TwitterSupport",
      "name": "Twitter Support",
      "verified": true
    },
    {
      "created_at": "2007-02-20T14:35:54.000Z",
      "id": "783214",
      "username": "Twitter",
      "name": "Twitter",
      "verified": true
    }
  ],
  "meta": {
    "result_count": 2,
    "next_token": "7140dibdnow9c7btw3z2vwioavpvutgzrzm9icis4ndix"
  }
}
```

***

<div id="get-a-users-liked-posts">
  ## किसी उपयोगकर्ता द्वारा पसंद की गई पोस्ट्स प्राप्त करें
</div>

वे पोस्ट्स प्राप्त करें जिन्हें किसी विशेष उपयोगकर्ता ने पसंद किया है:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/users/2244994945/liked_tweets?\
  tweet.fields=created_at,public_metrics&\
  max_results=10" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # पेजिनेशन के साथ किसी उपयोगकर्ता द्वारा पसंद की गई पोस्ट्स प्राप्त करें
  for page in client.users.get_liked_tweets(
      "2244994945",
      tweet_fields=["created_at", "public_metrics"],
      max_results=10
  ):
      for post in page.data:
          print(f"{post.text[:50]}... - Likes: {post.public_metrics.like_count}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // पेजिनेशन के साथ किसी उपयोगकर्ता द्वारा पसंद की गई पोस्ट्स प्राप्त करें
  const paginator = client.users.getLikedTweets("2244994945", {
    tweetFields: ["created_at", "public_metrics"],
    maxResults: 10,
  });

  for await (const page of paginator) {
    page.data?.forEach((post) => {
      console.log(`${post.text?.slice(0, 50)}... - Likes: ${post.public_metrics?.like_count}`);
    });
  }
  ```
</CodeGroup>

<div id="response">
  ### रिस्पॉन्स
</div>

```json theme={null}
{
  "data": [
    {
      "id": "1362449997430542337",
      "text": "Honored to be the first developer to be featured...",
      "created_at": "2021-02-18T17:45:00.000Z",
      "public_metrics": {
        "retweet_count": 5,
        "reply_count": 2,
        "like_count": 42,
        "quote_count": 1
      }
    }
  ],
  "meta": {
    "result_count": 1,
    "next_token": "7140dibdnow9c7btw4539n0vybdnx19ylpayqf16fjt4l"
  }
}
```

***

<div id="include-additional-data">
  ## अतिरिक्त डेटा शामिल करें
</div>

पिन किए गए पोस्ट्स जैसे संबंधित डेटा प्राप्त करने के लिए expansions का उपयोग करें:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/tweets/1354143047324299264/liking_users?\
  user.fields=created_at&\
  expansions=pinned_tweet_id&\
  tweet.fields=created_at" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # पिन किए गए पोस्ट के expansion के साथ पोस्ट को पसंद करने वाले उपयोगकर्ता प्राप्त करें
  for page in client.posts.get_liking_users(
      "1354143047324299264",
      user_fields=["created_at"],
      expansions=["pinned_tweet_id"],
      tweet_fields=["created_at"]
  ):
      for user in page.data:
          print(f"{user.username}")
      # पिन किए गए पोस्ट्स page.includes.tweets में हैं
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // पिन किए गए पोस्ट के expansion के साथ पोस्ट को पसंद करने वाले उपयोगकर्ता प्राप्त करें
  const paginator = client.posts.getLikingUsers("1354143047324299264", {
    userFields: ["created_at"],
    expansions: ["pinned_tweet_id"],
    tweetFields: ["created_at"],
  });

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(user.username);
    });
    // पिन किए गए पोस्ट्स page.includes?.tweets में हैं
  }
  ```
</CodeGroup>

***

<div id="next-steps">
  ## अगले चरण
</div>

<CardGroup cols={2}>
  <Card title="लाइक्स प्रबंधित करें" icon="heart" href="/hi/x-api/posts/likes/quickstart/manage-likes">
    पोस्ट्स को लाइक और अनलाइक करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/get-liking-users">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>
</CardGroup>
